[user]
	email = sumarac@protonmail.com
	name = Jovan Djokic-Sumarac

[diff]
	tool = nvimdiff
	mnemonicPrefix = true
	renames = true
	wordRegex = .
	submodule = log
[difftool]
	prompt = false
[difftool "nvimdiff"]
	cmd = "nvim -d \"$LOCAL\" \"$REMOTE\""

[merge]
	tool  = nvimdiff
	ff	  = false
[mergetool]
	prompt = false
[mergetool "nvimdiff"]
	cmd = "nvim -d \"$LOCAL\" \"$REMOTE\" \"$MERGED\" -c 'wincmd w' -c 'wincmd J'"

[alias]
	comit	= commit
	swicht	= switch
	statut	= status

	stat	= status -sb
	graph	= log --graph --pretty=format:'%Cred%h%Creset -%C(yellow)%d%Creset %s %Cgreen(%cr)%Creset' --abbrev-commit --date=relative
	last	= log -1
	amend	= commit --amend

	maid	= !git rebase -i $(git log master..$(git rev-parse --abbrev-ref HEAD) --oneline | tail -1 | cut -d' ' -f1)
	flatten	= !git rebase -i $(git log $(git rev-parse --abbrev-ref HEAD) --oneline | tail -1 | cut -d' ' -f1)
	new		= !git fetch --all && git checkout master && git pull && git checkout -b
	pub		= !git push origin $(git rev-parse --abbrev-ref HEAD)
	ship	= !git add . && git commit && git pub

[core]
	pager = bat
	whitespace = -trailing-space

[status]
	submoduleSummary = true
	showUntrackedFiles = all

[color "branch"]
  upstream = cyan

[tag]
	sort = version:refname

[versionsort]
	prereleaseSuffix = -pre
	prereleaseSuffix = .pre
	prereleaseSuffix = -beta
	prereleaseSuffix = .beta
	prereleaseSuffix = -rc
	prereleaseSuffix = .rc
